--
-- This file is part of TALER
-- Copyright (C) 2025 Taler Systems SA
--
-- TALER is free software; you can redistribute it and/or modify it under the
-- terms of the GNU General Public License as published by the Free Software
-- Foundation; either version 3, or (at your option) any later version.
--
-- TALER is distributed in the hope that it will be useful, but WITHOUT ANY
-- WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-- A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License along with
-- TALER; see the file COPYING.  If not, see <http://www.gnu.org/licenses/>

DO
$do$
DECLARE
    patch text;
BEGIN
    IF EXISTS(SELECT FROM information_schema.schemata WHERE schema_name='_v') THEN
        FOR patch IN SELECT patch_name FROM _v.patches WHERE patch_name LIKE 'magnet_bank_%' LOOP 
            PERFORM _v.unregister_patch(patch);
        END LOOP;
    END IF;
END
$do$;

DROP SCHEMA IF EXISTS magnet_bank CASCADE;